package com.fs.store.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.store.domain.FsShippingTemplates;
import com.fs.store.param.FsShippingTemplatesAddEditParam;

/**
 * 运费模板Service接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface IFsShippingTemplatesService 
{
    /**
     * 查询运费模板
     * 
     * @param shippingId 运费模板ID
     * @return 运费模板
     */
    public FsShippingTemplates selectFsShippingTemplatesById(Long id);

    /**
     * 查询运费模板列表
     * 
     * @param fsShippingTemplates 运费模板
     * @return 运费模板集合
     */
    public List<FsShippingTemplates> selectFsShippingTemplatesList(FsShippingTemplates fsShippingTemplates);

    /**
     * 新增运费模板
     * 
     * @param fsShippingTemplates 运费模板
     * @return 结果
     */
    public int insertFsShippingTemplates(FsShippingTemplates fsShippingTemplates);

    /**
     * 修改运费模板
     * 
     * @param fsShippingTemplates 运费模板
     * @return 结果
     */
    public int updateFsShippingTemplates(FsShippingTemplates fsShippingTemplates);

    /**
     * 批量删除运费模板
     * 
     * @param shippingIds 需要删除的运费模板ID
     * @return 结果
     */
    public int deleteFsShippingTemplatesByIds(Long[] ids);

    /**
     * 删除运费模板信息
     * 
     * @param shippingId 运费模板ID
     * @return 结果
     */
    public int deleteFsShippingTemplatesById(Long id);

    R addOrEdit(FsShippingTemplatesAddEditParam fsShippingTemplates);

    List<FsShippingTemplates> selectFsShippingTemplatesByIds(String ids);
}
